明经CAD社区

 找回密码
 注册

QQ登录

只需一步,快速开始

搜索
查看: 1731|回复: 2

[VBA]求助:怎么选择集中的总数和实际总数对不上呢??

[复制链接]
发表于 2006-1-19 21:28:00 | 显示全部楼层 |阅读模式
  1.    On Error Resume Next
  2.     Set ssetObj = ThisDrawing.SelectionSets.Add("SSET_OBJ")
  3.     If Err Then
  4.         Err.Clear
  5.         Set ssetObj = ThisDrawing.SelectionSets("SSET_OBJ")
  6.     End If
  7.    
  8.     ' Add objects to a selection set by prompting user to select on the screen
  9. '    ssetObj.Clear
  10.     ssetObj.Clear
  11.     FilterType(0) = 0
  12.     FilterData(0) = "CIRCLE"
  13.     ssetObj.SelectOnScreen FilterType, FilterData
  14.     sngSum = ssetObj.Count
复制代码
[U]通过以上代码选中的16个圆,而sngSum却等于50??[/U]
发表于 2006-1-26 15:45:00 | 显示全部楼层
可能你的圆有重复的,表面看到的是16,而实际存在的就是50个,你在检查一下
发表于 2006-2-5 17:05:00 | 显示全部楼层
  1. Sub mm()
  2. On Error Resume Next
  3.     Dim ssetObj As AcadSelectionSet
  4.     Set ssetObj = ThisDrawing.SelectionSets.Add("SSET_OBJ")
  5.     If Err Then
  6.         Err.Clear
  7.         Set ssetObj = ThisDrawing.SelectionSets("SSET_OBJ")
  8.     End If
  9.     On Error GoTo 0
  10.     ' Add objects to a selection set by prompting user to select on the screen
  11. '    ssetObj.Clear
  12.     ssetObj.Clear
  13.     Dim FilterType(0)  As Integer, FilterData(0)  As Variant
  14.     FilterType(0) = 0
  15.     FilterData(0) = "CIRCLE"
  16.     ssetObj.SelectOnScreen FilterType, FilterData
  17.     sngSum = ssetObj.Count
  18. End Sub
您需要登录后才可以回帖 登录 | 注册

本版积分规则

小黑屋|手机版|CAD论坛|CAD教程|CAD下载|联系我们|关于明经|明经通道 ( 粤ICP备05003914号 )  
©2000-2023 明经通道 版权所有 本站代码,在未取得本站及作者授权的情况下,不得用于商业用途

GMT+8, 2024-11-27 06:27 , Processed in 0.160936 second(s), 23 queries , Gzip On.

Powered by Discuz! X3.4

Copyright © 2001-2021, Tencent Cloud.

快速回复 返回顶部 返回列表